CMPObjectIdentifiers (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.cmp

## Interface CMPObjectIdentifiers

-     public interface CMPObjectIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `ct_encKeyWithID` 1.2.840.113549.1.9.16.1.21 id-ct OBJECT IDENTIFIER ::= { id-smime 1 } -- content types id-ct-encKeyWithID OBJECT IDENTIFIER ::= {id-ct 21}
    `static ASN1ObjectIdentifier` | `dhBasedMac` id-DHBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 30}
    `static ASN1ObjectIdentifier` | `id_pkip` RFC 4211: it-pkip: PKIX.5 = 1.3.6.1.5.5.7.5
    `static ASN1ObjectIdentifier` | `id_regCtrl` RFC 4211: it-regCtrl: 1.3.6.1.5.5.7.5.1
    `static ASN1ObjectIdentifier` | `id_regInfo` RFC 4211: it-regInfo: 1.3.6.1.5.5.7.5.2
    `static ASN1ObjectIdentifier` | `it_caKeyUpdateInfo` RFC 4120: 1.3.6.1.5.5.7.4.5
    `static ASN1ObjectIdentifier` | `it_caProtEncCert` RFC 4120: 1.3.6.1.5.5.7.4.1
    `static ASN1ObjectIdentifier` | `it_confirmWaitTime` RFC 4120: 1.3.6.1.5.5.7.4.14
    `static ASN1ObjectIdentifier` | `it_currentCRL` RFC 4120: 1.3.6.1.5.5.7.4.6
    `static ASN1ObjectIdentifier` | `it_encKeyPairTypes` RFC 4120: 1.3.6.1.5.5.7.4.3
    `static ASN1ObjectIdentifier` | `it_implicitConfirm` RFC 4120: 1.3.6.1.5.5.7.4.13
    `static ASN1ObjectIdentifier` | `it_keyPairParamRep` RFC 4120: 1.3.6.1.5.5.7.4.11
    `static ASN1ObjectIdentifier` | `it_keyPairParamReq` RFC 4120: 1.3.6.1.5.5.7.4.10
    `static ASN1ObjectIdentifier` | `it_origPKIMessage` RFC 4120: 1.3.6.1.5.5.7.4.15
    `static ASN1ObjectIdentifier` | `it_preferredSymAlg` RFC 4120: 1.3.6.1.5.5.7.4.4
    `static ASN1ObjectIdentifier` | `it_revPassphrase` RFC 4120: 1.3.6.1.5.5.7.4.12
    `static ASN1ObjectIdentifier` | `it_signKeyPairTypes` RFC 4120: 1.3.6.1.5.5.7.4.2
    `static ASN1ObjectIdentifier` | `it_suppLangTags` RFC 4120: 1.3.6.1.5.5.7.4.16
    `static ASN1ObjectIdentifier` | `it_unsupportedOIDs` RFC 4120: 1.3.6.1.5.5.7.4.7
    `static ASN1ObjectIdentifier` | `passwordBasedMac` id-PasswordBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 13}
    `static ASN1ObjectIdentifier` | `regCtrl_altCertTemplate` From RFC4210: id-regCtrl-altCertTemplate OBJECT IDENTIFIER ::= {id-regCtrl 7}; 1.3.6.1.5.5.7.1.7
    `static ASN1ObjectIdentifier` | `regCtrl_authenticator` 1.3.6.1.5.5.7.5.1.2
    `static ASN1ObjectIdentifier` | `regCtrl_oldCertID` 1.3.6.1.5.5.7.5.1.5
    `static ASN1ObjectIdentifier` | `regCtrl_pkiArchiveOptions` 1.3.6.1.5.5.7.5.1.4
    `static ASN1ObjectIdentifier` | `regCtrl_pkiPublicationInfo` 1.3.6.1.5.5.7.5.1.3
    `static ASN1ObjectIdentifier` | `regCtrl_protocolEncrKey` 1.3.6.1.5.5.7.5.1.6
    `static ASN1ObjectIdentifier` | `regCtrl_regToken` 1.3.6.1.5.5.7.5.1.1
    `static ASN1ObjectIdentifier` | `regInfo_certReq` RFC 4211: it-regInfo-certReq: 1.3.6.1.5.5.7.5.2.1
    `static ASN1ObjectIdentifier` | `regInfo_utf8Pairs` RFC 4211: it-regInfo-utf8Pairs: 1.3.6.1.5.5.7.5.2.1

- - ### Field Detail

    - #### passwordBasedMac

          static final ASN1ObjectIdentifier passwordBasedMac

      id-PasswordBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 13}

    - #### dhBasedMac

          static final ASN1ObjectIdentifier dhBasedMac

      id-DHBasedMac OBJECT IDENTIFIER ::= {1 2 840 113533 7 66 30}

    - #### it_caProtEncCert

          static final ASN1ObjectIdentifier it_caProtEncCert

      RFC 4120: 1.3.6.1.5.5.7.4.1

    - #### it_signKeyPairTypes

          static final ASN1ObjectIdentifier it_signKeyPairTypes

      RFC 4120: 1.3.6.1.5.5.7.4.2

    - #### it_encKeyPairTypes

          static final ASN1ObjectIdentifier it_encKeyPairTypes

      RFC 4120: 1.3.6.1.5.5.7.4.3

    - #### it_preferredSymAlg

          static final ASN1ObjectIdentifier it_preferredSymAlg

      RFC 4120: 1.3.6.1.5.5.7.4.4

    - #### it_caKeyUpdateInfo

          static final ASN1ObjectIdentifier it_caKeyUpdateInfo

      RFC 4120: 1.3.6.1.5.5.7.4.5

    - #### it_currentCRL

          static final ASN1ObjectIdentifier it_currentCRL

      RFC 4120: 1.3.6.1.5.5.7.4.6

    - #### it_unsupportedOIDs

          static final ASN1ObjectIdentifier it_unsupportedOIDs

      RFC 4120: 1.3.6.1.5.5.7.4.7

    - #### it_keyPairParamReq

          static final ASN1ObjectIdentifier it_keyPairParamReq

      RFC 4120: 1.3.6.1.5.5.7.4.10

    - #### it_keyPairParamRep

          static final ASN1ObjectIdentifier it_keyPairParamRep

      RFC 4120: 1.3.6.1.5.5.7.4.11

    - #### it_revPassphrase

          static final ASN1ObjectIdentifier it_revPassphrase

      RFC 4120: 1.3.6.1.5.5.7.4.12

    - #### it_implicitConfirm

          static final ASN1ObjectIdentifier it_implicitConfirm

      RFC 4120: 1.3.6.1.5.5.7.4.13

    - #### it_confirmWaitTime

          static final ASN1ObjectIdentifier it_confirmWaitTime

      RFC 4120: 1.3.6.1.5.5.7.4.14

    - #### it_origPKIMessage

          static final ASN1ObjectIdentifier it_origPKIMessage

      RFC 4120: 1.3.6.1.5.5.7.4.15

    - #### it_suppLangTags

          static final ASN1ObjectIdentifier it_suppLangTags

      RFC 4120: 1.3.6.1.5.5.7.4.16

    - #### id_pkip

          static final ASN1ObjectIdentifier id_pkip

      RFC 4211: it-pkip: PKIX.5 = 1.3.6.1.5.5.7.5

    - #### id_regCtrl

          static final ASN1ObjectIdentifier id_regCtrl

      RFC 4211: it-regCtrl: 1.3.6.1.5.5.7.5.1

    - #### id_regInfo

          static final ASN1ObjectIdentifier id_regInfo

      RFC 4211: it-regInfo: 1.3.6.1.5.5.7.5.2

    - #### regCtrl_regToken

          static final ASN1ObjectIdentifier regCtrl_regToken

      1.3.6.1.5.5.7.5.1.1

    - #### regCtrl_authenticator

          static final ASN1ObjectIdentifier regCtrl_authenticator

      1.3.6.1.5.5.7.5.1.2

    - #### regCtrl_pkiPublicationInfo

          static final ASN1ObjectIdentifier regCtrl_pkiPublicationInfo

      1.3.6.1.5.5.7.5.1.3

    - #### regCtrl_pkiArchiveOptions

          static final ASN1ObjectIdentifier regCtrl_pkiArchiveOptions

      1.3.6.1.5.5.7.5.1.4

    - #### regCtrl_oldCertID

          static final ASN1ObjectIdentifier regCtrl_oldCertID

      1.3.6.1.5.5.7.5.1.5

    - #### regCtrl_protocolEncrKey

          static final ASN1ObjectIdentifier regCtrl_protocolEncrKey

      1.3.6.1.5.5.7.5.1.6

    - #### regCtrl_altCertTemplate

          static final ASN1ObjectIdentifier regCtrl_altCertTemplate

      From RFC4210: id-regCtrl-altCertTemplate OBJECT IDENTIFIER ::= {id-regCtrl 7}; 1.3.6.1.5.5.7.1.7

    - #### regInfo_utf8Pairs

          static final ASN1ObjectIdentifier regInfo_utf8Pairs

      RFC 4211: it-regInfo-utf8Pairs: 1.3.6.1.5.5.7.5.2.1

    - #### regInfo_certReq

          static final ASN1ObjectIdentifier regInfo_certReq

      RFC 4211: it-regInfo-certReq: 1.3.6.1.5.5.7.5.2.1

    - #### ct_encKeyWithID

          static final ASN1ObjectIdentifier ct_encKeyWithID

      1.2.840.113549.1.9.16.1.21

      id-ct OBJECT IDENTIFIER ::= { id-smime 1 } -- content types

      id-ct-encKeyWithID OBJECT IDENTIFIER ::= {id-ct 21}